### Method

# AppStreamCompose Compose set_data_result_dir

#### Declaration [src]

    void
    asc_compose_set_data_result_dir (
      AscCompose* compose,
      const gchar* dir
    )

#### Description [src]

Set an output location where generated metadata should be saved. If this is set to `NULL`, no metadata will be saved.

#### Parameters

`dir`

  Type: `const gchar*`

  The metadata save location.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.